/**
 * Window for displaying the light levels from the finch
 * 
 * <UL>
 * <LI> Creates a new window frame with two rows of two text labels each.
 * The first row displays the data from the left sensor, the second row displays
 * the right
 * <LI> Registers with the model for changes to the model
 * <LI> When the model raises an event, the window queries the model for the
 * current sensor states and updates.
 * </UL>
 * <P>
 * 
 * @author Andrew H. Fagg and you
 * 
 */

import javax.swing.JFrame;

import java.awt.GridLayout;
import java.awt.event.*;
import javax.swing.*;


public class LightWindow extends JFrame {

	/**
	 * Reference to the model
	 */
	private FinchModel model;
	
	/*
	 * 2 rows of 2 labels
	 */
	private JLabel l1 = new JLabel("Left");
	private JLabel l2 = new JLabel("Right");
	private JLabel t1 = new JLabel("");
	private JLabel t2= new JLabel("");
	
	/**
	 * Constructor
	 * 
	 * @param parent	Reference to the parent object.  This is used to position this
	 * newly created window relative to the parent
	 * @param model		Reference to the model
	 */
	public LightWindow(JFrame parent, FinchModel model){
		// Save the model
		this.model = model;
		
		// Create the window and configure it
		this.setTitle("Finch Light Sensors");
		this.setLocationRelativeTo(parent);
		this.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
	
		// Set up a grid that will have 1 row (and an arbitrary number of columns)
		this.setLayout(new GridLayout(2, 0, 10, 10));
		this.setSize(200,100);
		
		// TODO: Add the text labels

		
		
		// TODO: Action listener for updates

		
		// Make the window viewable
		this.setVisible(true);
	}
	
	/**
	 *  Update the display of the light sensors:
	 *  
	 *   <P>
	 *   Algorithm:
	 *   <UL>
	 *   <LI> Query the model for the light levels
	 *   <LI> Set each JLabel with the string that represents the values 
	 *   </UL>
	 *
	 */
	private void updateLights(){
		// Fetch the light values
		int[] light = model.getLight();
		
		// TODO: Update the window
		
		// Leave this println in your code!
		System.out.println("Update lights: " + light[0]+" " + light[1]);
	}
}
