/**
 * Window for displaying the temperature level from the finch
 * 
 * <UL>
 * <LI> Creates a new window frame with one row of two text labels
 * <LI> Registers with the model for changes to the model
 * <LI> When the model raises an event, the window queries the model for the
 * current sensor state and updates.
 * </UL>
 * <P>
 * 
 * @author Andrew H. Fagg and you
 * 
 */

import javax.swing.JFrame;

import java.awt.GridLayout;
import java.awt.event.*;
import javax.swing.*;


public class TemperatureWindow extends JFrame {

	/**
	 * Reference to the model
	 */
	private FinchModel model;
	
	/*
	 * 1 row of 2 labels
	 */
	private JLabel l1 = new JLabel("Temperature");
	private JLabel t1 = new JLabel("");
	
	/**
	 * Constructor
	 * 
	 * @param parent	Reference to the parent object.  This is used to position this
	 * newly created window relative to the parent
	 * @param model		Reference to the model
	 */
	public TemperatureWindow(JFrame parent, FinchModel model){
		// TODO: full implementation
	}
	
	/**
	 *  Update the display of the light sensors:
	 *  
	 *   <P>
	 *   Algorithm:
	 *   <UL>
	 *   <LI> Query the model for the temperature level
	 *   <LI> Set each JLabel with the string that represents the value
	 *   </UL>
	 *
	 */
	private void updateTemperature(){
		// Fetch the temperature value
		double temp = model.getTemperature();
		
		// TODO: Update the window
		
		// Leave this println in your code!
		System.out.println("Update temp: " + temp);
	}
}
